# Package org.apache.ignite.internal.processors.cache.persistence.freelist

Interface Summary
FreeList<T extends Storable>

Class Summary
AbstractFreeList<T extends Storable>
CacheFreeList: FreeList implementation for cache.
PagesList: Striped doubly-linked list of page IDs optionally organized in buckets.
PagesList.PagesCache: Class to store page-list cache onheap.
PagesList.Stripe
SimpleDataRow: Implementation of `Storable` which holds byte array of variable length.

Exception Summary
CorruptedFreeListException: Exception to distinguish `AbstractFreeList` broken invariants.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021